function y = pricecons(x)
global mu rho vu sigma sigmaw phie gamma psi delta stochvol
k1 = exp(x)/(1+exp(x));
theta= (1-gamma)/(1-1/psi);
A1 = (1-1/psi)/(1-k1*rho);
beta_ae = k1*A1*phie;
if stochvol==1
    A2 = 0.5*((theta - theta/psi)^2+(theta*beta_ae)^2)/(theta*(1-k1*vu));
else
    A2 = 0;
end
beta_aw = k1*A2;

A0 = (log(delta) + mu*(1-1/psi) + ...
     (log(1+exp(x))- k1*x) +  beta_aw * sigma^2 * (1-vu) + ... 
     0.5*theta* (beta_aw*sigmaw)^2) /(1-k1);

y=A0 + A2*sigma^2;
