function y = pricedivBKY2012PtfValue(x)
% there is correlation between dividend and consumption innovations "corr_dc"
global mu rho vu sigma sigmaw phie gamma psi delta corr_dcPtf stochvol
global phiPtf pi_d phidPtf mudPtf A0 A2 zbar k1 beta_ae

k1m = exp(x)/(1+exp(x));
theta= (1-gamma)/(1-1/psi);

lambda_e = (1-theta)*beta_ae;
lambda_w = (1-theta)*A2*k1;
lambda_n = -(- theta/psi + theta - 1);

A1m = (phiPtf(4)-1/psi)/(1-k1m*rho);
beta_me = k1m*A1m*phie;
if stochvol==1
    A2m = ((1-theta)*A2*(1-k1*vu)+0.5*(-2*corr_dcPtf(4)*phidPtf(4)*lambda_n + (pi_d - lambda_n)^2+(beta_me-lambda_e)^2 + phidPtf(4)^2))/((1-k1m*vu));
else
    A2m = 0;
end
beta_mw = k1m*A2m;

%Gamma0 = log(delta) - mu / psi - 0.5*theta*(theta-1)*(k1*A2*sigmaw)^2;
% A0m = Gamma0 + ...
%     (log(1+exp(x))- k1m*x) +  beta_mw * sigma^2 * (1-vu) + ...
%     + mudPtf(4) + 0.5*(beta_mw-lambda_w)^2*(sigmaw)^2) /(1-k1m);     

  A0m = (theta*log(delta) + mu*theta*(1-1/psi) - lambda_w*(sigma^2)*(1-vu) + ...
      (theta-1)*( (log(1+exp(zbar)) - k1*zbar)+A0*(k1-1) ) - mu + ... 
      (log(1+exp(x))- k1m*x) +  beta_mw * sigma^2 * (1-vu) + ...
      + mudPtf(4) + 0.5*(beta_mw-lambda_w)^2*(sigmaw)^2) /(1-k1m);

y=A0m + A2m*sigma^2;