function DistQuants = SimpleSequence(DistFull, nSd, nPoints )

    DistFull    = sort(DistFull);   
    fracCutOff  = normcdf(-nSd);
    nDist       = length(DistFull);
    qLow        = DistFull(max(1,floor(fracCutOff*nDist)));
    qHigh       = DistFull(ceil((1-fracCutOff)*nDist));
    DistQuants  = linspace(qLow, qHigh, nPoints);

